"""empty message

Revision ID: 527c9112037a
Revises: 
Create Date: 2018-07-14 08:35:39.989566

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '527c9112037a'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('applications',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('bundle', sa.String(length=50), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.Column('version', sa.String(length=20), nullable=False),
    sa.Column('description', sa.Text(length=32000), nullable=True),
    sa.Column('picture', sa.Text(length=32000), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_applications_bundle'), 'applications', ['bundle'], unique=True)
    op.create_table('installed_applications',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('bundle', sa.String(length=50), nullable=False),
    sa.Column('target_state', sa.Enum('uninstalled', 'downloaded', 'installed', name='applicationstate'), nullable=False),
    sa.Column('current_state', sa.Enum('uninstalled', 'downloaded', 'installed', name='applicationstate'), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('users',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('username', sa.String(length=50), nullable=False),
    sa.Column('name', sa.String(length=250), nullable=False),
    sa.Column('password', sa.String(length=50), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('username')
    )
    op.create_table('containers',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('application_id', sa.Integer(), nullable=False),
    sa.Column('image', sa.String(length=100), nullable=False),
    sa.Column('name', sa.String(length=20), nullable=True),
    sa.Column('expose', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['application_id'], ['applications.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('installed_containers',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('installed_application_id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=20), nullable=True),
    sa.Column('host_port', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['installed_application_id'], ['installed_applications.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('host_port'),
    sa.UniqueConstraint('name')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('installed_containers')
    op.drop_table('containers')
    op.drop_table('users')
    op.drop_table('installed_applications')
    op.drop_index(op.f('ix_applications_bundle'), table_name='applications')
    op.drop_table('applications')
    # ### end Alembic commands ###
